%global orig_name i3

Name:           i3-gaps
Version:        4.15.0.1
Release:        1%{?dist}
Summary:        i3 with more features
License:        BSD
URL:            https://github.com/Airblader/i3
Source0:        https://github.com/Airblader/%{orig_name}/archive/%{version}/%{orig_name}-%{version}.tar.gz
Source1:        %{orig_name}-logo.svg

BuildRequires:  asciidoc
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  cairo-devel
BuildRequires:  flex
BuildRequires:  libev-devel
BuildRequires:  libX11-devel
BuildRequires:  libxcb-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libxkbcommon-x11-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  pango-devel
BuildRequires:  pcre-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Data::Dumper::Names)
BuildRequires:  startup-notification-devel
BuildRequires:  xcb-proto
BuildRequires:  xcb-util-cursor-devel
BuildRequires:  xcb-util-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xcb-util-xrm-devel
BuildRequires:  xmlto
%ifnarch s390 s390x
BuildRequires:  xorg-x11-drv-dummy
%endif
BuildRequires:  yajl-devel

Requires:       dmenu
Requires:       dzen2
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       i3status
%{!?rhel:Recommends:     rxvt-unicode}
%{!?rhel:Recommends:     xorg-x11-apps}
Requires:       xorg-x11-fonts-misc

Conflicts:      otherproviders(i3)
Provides:       i3 = %{version}


%description
Key features of i3 are correct implementation of XrandR, horizontal and vertical
columns (think of a table) in tiling. Also, special focus is on writing clean,
readable and well documented code. i3 uses xcb for asynchronous communication
with X11, and has several measures to be very fast.

Please be aware that i3 is primarily targeted at advanced users and developers.


%package        doc
Summary:        Documentation for %{name}
BuildRequires:  doxygen
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}


%description    doc
Asciidoc and doxygen generated documentations for %{name}.


%prep
%autosetup -n %{orig_name}-%{version}

# Drop /usr/bin/env lines in those which will be installed to %%_bindir.
find . -maxdepth 1 -type f -name "i3*" -exec sed -i -e '1s;^#!/usr/bin/env perl;#!/usr/bin/perl;' {} + -print


%build
autoreconf -f -i
%configure
%make_build -C *-linux-gnu*

doxygen pseudo-doc.doxygen
mv pseudo-doc/html pseudo-doc/doxygen


%install
%make_install -C *-linux-gnu*

mkdir -p %{buildroot}%{_mandir}/man1/
install -Dpm0644 *-linux-gnu*/man/*.1 \
        %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -Dpm0644 %{SOURCE1} \
        %{buildroot}%{_datadir}/pixmaps/


%files
%doc RELEASE-NOTES-*
%license LICENSE
%{_bindir}/%{orig_name}*
%{_includedir}/%{orig_name}/
%dir %{_sysconfdir}/%{orig_name}/
%config(noreplace) %{_sysconfdir}/%{orig_name}/config
%config(noreplace) %{_sysconfdir}/%{orig_name}/config.keycodes
%{_datadir}/xsessions/%{orig_name}.desktop
%{_datadir}/xsessions/%{orig_name}-with-shmlog.desktop
%{_mandir}/man*/%{orig_name}*
%{_datadir}/pixmaps/%{orig_name}-logo.svg
%{_datadir}/applications/%{orig_name}.desktop
%exclude %{_docdir}/%{orig_name}/


%files doc
%doc docs/*.{html,png} pseudo-doc/doxygen/


%changelog
* Fri Apr 06 2018 Nikola Forró <nforro@redhat.com> - 4.15.0.1-1
- Initial package
